String::HexConvert(3pm)

NAME
String::HexConvert - Converts ascii strings to hex and reverse

SYNOPSIS
 use String::HexConvert ':all';

 print ascii_to_hex("hello world"); # writes: 68656c6c6f20776f726c64

 print hex_to_ascii("68656c6c6f20776f726c64"); # writes: hello world

DESCRIPTION
It is a wrapper around pack and unpack of perl to convert a string of hex digits to ascii and other way around.

REQUIRES
Exporter

METHODS

  ascii_to_hex
 my $hex = ascii_to_hex($ascii);

Converts a string to pairs of hex digits

  hex_to_ascii
 my $ascii = hex_to_ascii($hex);

Converts pairs of hex digits to asci

WHY?
In know the comments like "is that realy needed?". IMHO yes, because I forget the exact syntax and possibilities of pack and unpack but hex_to_ascii tells me directly what pack "H*" does.

SEE ALSO
pack, unpack, Data::Translate

AUTHOR
Andreas Hernitscheck ahernit(AT)cpan.org

LICENSE
You can redistribute it and/or modify it under the conditions of LGPL.